Subject: Re: Mikrotik RouterBoard 333

From: Scott Wood <[email-masked]>
Date: Mon, 21 Jul 2008 16:13:44 -0500

On Sun, Jul 13, 2008 at 08:44:46PM -0400, Jerry Van Baren wrote:
> I'm a half-ack.  ;-)  I'm partial to u-boot's implementation rather than  
> using a bootwrapper for obvious reasons.  The u-boot implementation  
> takes the blob as a boot parameter and passes it along to the kernel  
> after doing appropriate (optional) fixups.

And if those fixups expect a malformed device tree?

> Other than that quibble, I agree that burning the blob into the firmware  
> so that the firmware must be recompiled and reburned to change the blob  
> is very undesirable.

I thought the device tree was *supposed* to be an interface between the
firmware and the kernel?  What if the firmware produces the tree
dynamically?  What if the firmware itself depends on having the device tree
in order to operate?

-Scott